classification
Title: patch to fix_import: UserDict -> collections
Type: behavior Stage:
Components: 2to3 (2.x to 3.x conversion tool) Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Write UserDict fixer for 2to3
View: 2876
Assigned To: christian.heimes Nosy List: benjamin.peterson, christian.heimes, collinwinter, eopadoan, rhettinger
Priority: normal Keywords: patch

Created on 2008-02-07 23:44 by eopadoan, last changed 2010-11-29 16:25 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
fix_import_udict.diff eopadoan, 2008-02-07 23:44
Messages (2)
msg62186 - (view) Author: Eduardo Padoan (eopadoan) Date: 2008-02-07 23:44
UserDict moved from UserDict module (deleted) to collections on py3k.
This patch adds this case to fix_import.py on 2to3.
msg74777 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-10-14 22:32
Closing in favor of #2876.
History
Date User Action Args
2010-11-29 16:25:48eric.araujounlinkissue2876 superseder
2010-11-29 16:25:41eric.araujosetsuperseder: Write UserDict fixer for 2to3
2008-10-14 22:32:46benjamin.petersonsetstatus: open -> closed
nosy: + benjamin.peterson
resolution: duplicate
messages: + msg74777
2008-07-02 19:50:45brett.cannonlinkissue2876 superseder
2008-07-02 19:50:24brett.cannonsetsuperseder: Write UserDict fixer for 2to3 -> (no value)
2008-07-02 19:49:43brett.cannonsetsuperseder: Write UserDict fixer for 2to3
2008-02-08 18:57:57christian.heimessetpriority: normal
assignee: collinwinter -> christian.heimes
keywords: + patch
nosy: + christian.heimes
2008-02-07 23:44:07eopadoancreate